using PokemonSleep.Web.Models;
using PokemonSleepAPI.Models;
using System.Threading.Tasks;

namespace PokemonSleep.Web.Service.IService
{
	public interface IPokeAPI 
	{
		Task<ResponseDto?> GetPokemonAsync(string species);
		Task<Pokemon> GetPokemonByUrlAsync(string url);
		Task<List<Pokemon>> GetAllPokemonWithDetailsAsync();

	}
}
